ALTER TABLE `rtc_account` ADD COLUMN `site_id` BIGINT(8) DEFAULT 0;
ALTER TABLE `rtc_room` ADD COLUMN `site_id` BIGINT(8) DEFAULT 0;
ALTER TABLE `rtc_room` CHANGE `topic` `topic` VARCHAR(256) CHARSET utf8 COLLATE utf8_general_ci NOT NULL; 


/*Table structure for table `rtc_admin` */

DROP TABLE IF EXISTS `rtc_admin`;

CREATE TABLE `rtc_admin` (
  `key` INT(4) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY `key` (`key`),  
  `name` VARCHAR(40) DEFAULT NULL,
  `password` CHAR(32) DEFAULT NULL,
  `status` TINYINT(2) DEFAULT '0',
  `created` INT(11) DEFAULT '0',
  `updated` INT(11) DEFAULT '0',
  `site_id` BIGINT(8) DEFAULT '0'
) ENGINE=INNODB DEFAULT CHARSET=utf8;

/*Data for the table `rtc_admin` */



/*Table structure for table `rtc_licence` */

DROP TABLE IF EXISTS `rtc_licence`;

CREATE TABLE `rtc_licence` (
  `key` INT(4) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY `key` (`key`),  
  `permit_name` char(150) DEFAULT NULL,
  `customer_id` int(4) DEFAULT NULL,
  `access_key` char(150) DEFAULT NULL,
  `secret_key` char(150) DEFAULT NULL,
  `devices_id` char(150) DEFAULT NULL,
  `description` char(100) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `permit_init_date` datetime DEFAULT NULL,
  `permit_invalid_date` datetime DEFAULT NULL,
  `permit_type` int(4) DEFAULT NULL,
  `max_video` int(4) DEFAULT NULL,
  `max_audio` int(4) DEFAULT NULL,
  `max_attendees` int(4) DEFAULT NULL,
  `site_id` bigint(8) DEFAULT '0',
  `licence_type` int(4) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rtc_licence` */

insert  into `rtc_licence`(`permit_name`,`customer_id`,`access_key`,`secret_key`,`devices_id`,`description`,`start_time`,`permit_init_date`,`permit_invalid_date`,`permit_type`,`max_video`,`max_audio`,`max_attendees`,`site_id`,`licence_type`) values ('1',1,'','','',NULL,NULL,'2016-03-14 17:17:49','2016-08-01 17:17:54',0,2,2,2,0,0),('3tee.cn',10,'wtrw','wretwre',NULL,NULL,NULL,'2016-03-15 13:43:19','2016-08-26 13:43:12',2,2,2,2,0,1),('nil',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2,2,0,2);

/*Table structure for table `rtc_message` */

DROP TABLE IF EXISTS `rtc_message`;

CREATE TABLE `rtc_message` (
  `id` bigint(8) NOT NULL AUTO_INCREMENT,
  `topic` text,
  `type` int(4) DEFAULT NULL,
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rtc_message` */


/*Table structure for table `rtc_system_info` */

DROP TABLE IF EXISTS `rtc_system_info`;

CREATE TABLE `rtc_system_info` (
  `id` INT(4) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY `id` (`id`),    
  `key` varchar(40) CHARACTER SET utf8 DEFAULT NULL,
  `value` varchar(40) CHARACTER SET utf8 DEFAULT NULL,
  `value_datatype` varchar(30) CHARACTER SET utf8 DEFAULT NULL,
  `key_display_name` varchar(40) CHARACTER SET utf8 DEFAULT NULL,
  `group` char(30) CHARACTER SET utf8 DEFAULT NULL,
  `site_id` bigint(8) DEFAULT '0',
  `description` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rtc_system_info` */				

insert  into `rtc_system_info`(`key`,`value`,`value_datatype`,`key_display_name`,`group`,`site_id`,`description`) values ('mcu_internat_addr','','addrs','????','net',0,'ip地址或者dns'),('mcu_video_level','1','int','??????','video',0,NULL),('mcu_licence_type','0','int',NULL,'licence',0,NULL),('mcu_live_cdn_addr','rtmp://x.y.z/xxxx/','string',NULL,'live',0,NULL),('mcu_recorder_storage','/3tee/recorder/files/','string',NULL,'recorder',0,NULL),('mcu_register_addr','10.10.123.130:9999','addr',NULL,'licence',0,'ip地址或者dns'),('mcu_register_key','uuuuuuuu:pppppppp','string',NULL,'licence',0,'以:分隔'),('mcu_setting_licence_type','0','int',NULL,'licence',0,NULL);
/*Table structure for table `rtc_video_resolutions` */

DROP TABLE IF EXISTS `rtc_video_resolutions`;

CREATE TABLE `rtc_video_resolutions` (
  `id` INT(4) NOT NULL AUTO_INCREMENT,
  `width` bigint(4) DEFAULT NULL,
  `height` bigint(4) DEFAULT NULL,
  `min` bigint(4) DEFAULT NULL,
  `max` bigint(4) DEFAULT NULL,
  `level` binary(4) DEFAULT '1\0\0\0' COMMENT '视频等级(低,中,高)',
  `site_id` bigint(8) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rtc_video_resolutions` */

insert  into `rtc_video_resolutions`(`width`,`height`,`min`,`max`,`level`,`site_id`) values (320,240,250000,500000,'1\0\0\0',0),(640,480,500000,1000000,'1\0\0\0',0),(1280,720,1000000,1500000,'1\0\0\0',0),(1920,1080,1500000,2000000,'1\0\0\0',0);
insert  into `rtc_video_resolutions`(`width`,`height`,`min`,`max`,`level`,`site_id`) values (320,240,250000*1.1,500000*1.1,'2\0\0\0',0),(640,480,500000*1.1,1000000*1.1,'2\0\0\0',0),(1280,720,1000000*1.1,1500000*1.1,'2\0\0\0',0),(1920,1080,1500000*1.1,2000000*1.1,'2\0\0\0',0);
insert  into `rtc_video_resolutions`(`width`,`height`,`min`,`max`,`level`,`site_id`) values (320,240,250000*1.2,500000*1.2,'3\0\0\0',0),(640,480,500000*1.2,1000000*1.2,'3\0\0\0',0),(1280,720,1000000*1.2,1500000*1.2,'3\0\0\0',0),(1920,1080,1500000*1.2,2000000*1.2,'3\0\0\0',0);


CREATE TABLE `rtc_recorder` (
  `id` varchar(40) NOT NULL,
  `room_id` varchar(40) DEFAULT NULL,
  `record_type` tinyint(4) DEFAULT '2' COMMENT '1:user_recorder',
  `video_type` tinyint(4) DEFAULT '1' COMMENT '0:none',
  `audio_type` tinyint(4) DEFAULT '2' COMMENT '1:user,2:all,0:none',
  `name` varchar(256) DEFAULT NULL,
  `tags` varchar(256) DEFAULT NULL,
  `status` int(4) DEFAULT '0' COMMENT '0:init,1:recording,2:finish,3:exception',
  `file` varchar(256) DEFAULT NULL,
  `duration` int(4) DEFAULT NULL,
  `size` int(4) DEFAULT NULL,
  `create_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `stop_date` timestamp NOT NULL DEFAULT '2020-01-01 08:00:00',
  `user_id` varchar(50) DEFAULT NULL,
  `chat_type` tinyint(4) DEFAULT NULL COMMENT '0:none',
  `file_type` tinyint(4) DEFAULT '0' COMMENT '0:mp4,1:webm',
  `site_id` bigint(8) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `room_id` (`room_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


insert  into `rtc_system_info`(`key`,`value`,`value_datatype`,`key_display_name`,`group`,`site_id`,`description`) values ('mcu_addr','','addr','????','recorder',0,'ip地址');
insert  into `rtc_system_info`(`key`,`value`,`value_datatype`,`key_display_name`,`group`,`site_id`,`description`) values ('mcu_cert_licence_info',NULL,NULL,NULL,'cert',0,'licence信息');
insert  into `rtc_system_info`(`key`,`value`,`value_datatype`,`key_display_name`,`group`,`site_id`,`description`) values ('mcu_cert_system_info',NULL,NULL,NULL,'cert',0,'licence信息');

ALTER TABLE `rtc_system_info` ADD UNIQUE INDEX (`key`); 																							

insert into `rtc_system_info` (`key`, `value`, `value_datatype`, `key_display_name`, `group`, `site_id`, `description`) values('mcu_p2p_stun_addr',NULL,'addr',NULL,'p2p','0','121.41.102.126:3478');
insert into `rtc_system_info` (`key`, `value`, `value_datatype`, `key_display_name`, `group`, `site_id`, `description`) values('mcu_p2p_turn_addr',NULL,'addr',NULL,'p2p','0','121.41.102.126:3478:user:password');

ALTER TABLE `rtc_recorder` CHANGE `create_date` `create_date` BIGINT(11) DEFAULT 0 NOT NULL, CHANGE `stop_date` `stop_date` BIGINT(11) DEFAULT 0 NOT NULL; 
