ALTER TABLE `rtc_client_version` ADD COLUMN `must_upgrade` INT(10) DEFAULT 0 NULL AFTER `client_type`, ADD COLUMN `site_id` INT(10) DEFAULT 1 NULL AFTER `must_upgrade`;

CREATE TABLE `rtc_log_user` (
  `id` bigint(8) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(40) DEFAULT NULL,
  `rid` int(4) DEFAULT NULL COMMENT '房间int id',
  `time` bigint(8) DEFAULT NULL,
  `event_type` int(4) DEFAULT NULL COMMENT 'signal_open signal_invite media_open signal_leave',
  `addr` varchar(40) DEFAULT NULL COMMENT '加会的tcp和udp地址，udp:192.168.1.200:8080',
  `reason` int(11) DEFAULT NULL COMMENT '离开原因',
  `desc` varchar(200) DEFAULT NULL COMMENT '说明',
  PRIMARY KEY `id` (`id`),
  KEY `rid_index` (`rid`),
  KEY `rid_userid_index` (`user_id`,`rid`)
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_log_stream` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(40) DEFAULT NULL,
  `rid` int(4) DEFAULT NULL,
  `time` bigint(8) DEFAULT NULL,
  `ssrc` bigint(8) DEFAULT NULL,
  `log_type` int(4) DEFAULT NULL COMMENT 'pub sub unpub unsub',
  `codec_type` int(4) DEFAULT NULL COMMENT '264,vp8,isac',
  `stream_type` int(4) DEFAULT NULL COMMENT 'video audio desktop',
  `width` int(4) DEFAULT NULL,
  `height` int(4) DEFAULT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `rid_index` (`rid`),
  KEY `rid_userid_index` (`user_id`,`rid`)
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_log_stream_stat` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(40) DEFAULT NULL,
  `rid` int(4) DEFAULT NULL,
  `time` bigint(8) DEFAULT NULL,
  `ssrc` bigint(8) DEFAULT NULL,
  `total_send_bytes` int(4) DEFAULT NULL ,
  `total_lost_bytes` int(4) DEFAULT NULL ,
  `total_send_packs` int(4) DEFAULT NULL ,
  `total_lost_packet` int(4) DEFAULT NULL ,
  `avg_rtt` int(4) DEFAULT NULL ,
  `max_rtt` int(4) DEFAULT NULL ,
  `keyframes` int(4) DEFAULT NULL ,
  PRIMARY KEY `id` (`id`),
  KEY `rid_index` (`rid`),
  KEY `rid_userid_index` (`user_id`,`rid`)
) ENGINE=INNODB CHARSET=utf8;

INSERT INTO `rtc_system_info` (`key`, `value`) VALUES ('mcu_log_collect', '0');
