ALTER TABLE `rtc_company` ADD COLUMN `android_tv_download_uri` VARCHAR(100) NULL AFTER `android_download_uri`;

INSERT INTO `rtc_site_room_params` (`site_id`, `key`, `value`) VALUES ('1', 'only_host_invite_device', '1'); 

INSERT INTO `rtc_site_room_params` (`site_id`, `key`, `value`) VALUES ('1', 'only_host_desktop_share', '0');

INSERT INTO `rtc_service` (`code`, `name`, `win32_start_cmd`, `win32_stop_cmd`, `linux_start_cmd`, `linux_stop_cmd`, `version`, `rpc_port`, `capability`, `used_capability`) VALUES ('box_h323', 'h323', '0', '0', './h323d start', './h323d stop', 'v3.0.0', '8104', '64', '64');

CREATE TABLE `rtc_outgoing_manufacturer` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `type` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `recv_max_video_num` int(4) DEFAULT 0,
  `protocol_capability` int(10) DEFAULT 0 COMMENT 'bit. 0:rtsp,1:h323,2:sip,3:avd_http',
  `recv_audio_capability` int(10) DEFAULT 0,
  `recv_video_capability` int(10) DEFAULT 0,
  `recv_resolution_capability` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT 'example:640*480,1920*1080',
  `recv_max_bitrate` int(10) DEFAULT 0,
  `recv_max_framerate` int(10) DEFAULT 0,
  `send_audio_capability` int(10) DEFAULT 0,
  `send_video_capability` int(10) DEFAULT 0,
  `send_resolution_capability` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT 'example:640*480,1920*1080',
  `send_max_bitrate` int(10) DEFAULT 0,
  `send_max_framerate` int(10) DEFAULT 0,
  `screen_sharing_capability` int(4) DEFAULT 0,
  `recv_screen_capability` int(10) DEFAULT 0,
  `recv_screen_resolution_capability` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT 'example:640*480,1920*1080',
  `recv_screen_max_bitrate` int(10) DEFAULT 0,
  `recv_screen_max_framerate` int(10) DEFAULT 0,
  `send_screen_capability` int(10) DEFAULT 0 COMMENT 'bit. 0:h264,1:h265',
  `send_screen_resolution_capability` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT 'example:640*480,1920*1080',
  `send_screen_max_bitrate` int(10) DEFAULT 0,
  `send_screen_max_framerate` int(10) DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQUE` (`name`)
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_outgoing_type_protocol` (
  `key` INT(4) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY `key` (`key`),
  `device_type` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `type_name` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `screen_sharing_capability` int(4) DEFAULT NULL COMMENT '0:not support,1:support',
  `protocol_capability` int(10) DEFAULT NULL COMMENT 'bit. 0:rtsp,1:h323,2:sip,3:avd_http'
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_outgoing_device` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `site_id` int(10) DEFAULT NULL,
  `name` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `tag` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `status` int(4) DEFAULT '1' COMMENT '0:stop,1:start',
  `manufacturer_id` int(10) DEFAULT NULL,
  `device_type` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `protocol_type` int(4) DEFAULT '0' COMMENT '1:rtsp,2:h323,3:sip',
  `addr` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `port` int(4) DEFAULT NULL,
  `recv_audio` varchar(10) COLLATE utf8_bin DEFAULT NULL,
  `recv_video` varchar(10) COLLATE utf8_bin DEFAULT NULL ,
  `recv_resolution` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `recv_max_bitrate` int(10) DEFAULT NULL,
  `recv_max_framerate` int(10) DEFAULT NULL,
  `send_audio` varchar(10) COLLATE utf8_bin DEFAULT NULL ,
  `send_video` varchar(10) COLLATE utf8_bin DEFAULT NULL ,
  `send_resolution` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `send_max_bitrate` int(10) DEFAULT NULL,
  `send_max_framerate` int(10) DEFAULT NULL,
  `online_status` int(4) DEFAULT '0' COMMENT '0:offline,1:online',
  `occupy_status` int(4) DEFAULT '0' COMMENT '0:no,1:yes',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_outgoing_type_keyname` (
  `key` INT(4) NOT NULL AUTO_INCREMENT,
   PRIMARY KEY `key` (`key`),
  `device_type` VARCHAR(50) COLLATE utf8_bin DEFAULT NULL,
  `key_name` VARCHAR(50) COLLATE utf8_bin DEFAULT NULL,
  `key_name_for_chinese` VARCHAR(50) COLLATE utf8_bin DEFAULT NULL
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_outgoing_options` (
  `p_key` INT(4) NOT NULL AUTO_INCREMENT,
  `id` INT(10) DEFAULT NULL,
  `key` VARCHAR(50) COLLATE utf8_bin DEFAULT NULL,
  `value` VARCHAR(200) COLLATE utf8_bin DEFAULT NULL,
  `device_type` VARCHAR(50) COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY `p_key` (`p_key`)
) ENGINE=INNODB CHARSET=utf8;

INSERT INTO `rtc_enum_data` (`key`, `value`, `seq_num`, `group`) VALUES ('1920*1080', '2000,4000', '3', 'resolution');

INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('rtsp', '1', 'proto_type');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('h323', '2', 'proto_type');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('sip', '4', 'proto_type');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('avd_http', '8', 'proto_type');

INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('h265', '4', 'video_codec');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('opus', '4', 'audio_codec');
INSERT INTO `rtc_enum_data` (`key`, `value`, `seq_num`, `group`) VALUES ('g722', 'hide_in_jh', '8', 'audio_codec');
INSERT INTO `rtc_enum_data` (`key`, `value`, `seq_num`, `group`) VALUES ('PCMU', 'hide_in_jh', '16', 'audio_codec');
INSERT INTO `rtc_enum_data` (`key`, `value`, `seq_num`, `group`) VALUES ('PCMA', 'hide_in_jh', '32', 'audio_codec');

insert  into `rtc_outgoing_type_keyname`(`device_type`,`key_name`,`key_name_for_chinese`) values ('screen_sharing','recv_screen_video','接收屏幕共享编码'),('screen_sharing','recv_screen_resolution','接收屏幕共享分辨率'),('screen_sharing','recv_screen_max_bitrate','接收屏幕共享最大码率'),('screen_sharing','recv_screen_max_framerate','接收屏幕共享最大帧率'),('screen_sharing','send_screen_video','发送屏幕共享编码'),('screen_sharing','send_screen_resolution','发送屏幕共享分辨率'),('screen_sharing','send_screen_max_bitrate','发送屏幕共享最大码率'),('screen_sharing','send_screen_max_framerate','发送屏幕共享最大帧率'),('ip_camera','login_name','登录用户名'),('ip_camera','login_password','登录密码'),('ip_camera','assist_address','辅流地址'),('android_box','android_box_account','android box帐号'),('mcu','gatekeeper_addr','GK地址'),('mcu','endpoint_name','终端名称'),('mcu','endpoint_number','终端号码'),('mcu','endpoint_password','终端密码'),('mcu','bind_avd_room_id','AVD会议号'),('mcu','bind_mcu_room_id','终端会议号');

insert  into `rtc_outgoing_type_protocol`(`device_type`,`type_name`,`screen_sharing_capability`,`protocol_capability`) values ('device_endpoint','设备终端',1,6),('ip_camera','IP摄像头',0,1),('mcu','媒体服务器端',1,6),('android_box','安卓盒子',0,8),('soft_endpoint','软终端',1,6);

INSERT INTO `rtc_outgoing_type_keyname` (`device_type`, `key_name`, `key_name_for_chinese`) VALUES ('device_endpoint', 'bind_avd_room_id', 'AVD会议号');
