CREATE TABLE `rtc_box_acl` (
  `vue_path` varchar(100) COLLATE utf8_bin NOT NULL,
  `vue_menu` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `admin_ok` int(4) DEFAULT '0',
  `sdk_ok` int(4) DEFAULT '0',
  `is_box` int(4) DEFAULT '0',
  PRIMARY KEY (`vue_path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('DeviceManagement','SystemManager','1','1','1');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('DeviceManufacturer','SystemManager','1','1','1');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('FreeswitchGateManagement','SystemManager','1','0','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('LiverServerManagement','SystemManager','1','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('MeetingListManager','ConferenceManager','0','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('MeetingSchedule','ConferenceManager','0','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('Permit','SystemManager','1','1','1');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('ServiceManagement','SystemManager','1','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('SystemSetting','SystemManager','1','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('UserMeetingManage','PersonalManager','0','1','1');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('UserRoomManager','UserRoomManager','0','0','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('adminInfo','PersonalManager','0','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('companyInfo','CompanyManager','1','1','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('configManage','CompanyManager','1','0','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('meetingManage','SystemManager','1','0','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('setVersions','CompanyManager','1','0','0');
insert into `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) values('userlist','CompanyManager','1','1','0');

create table `rtc_box_ft_menu` (
  `key` INT(4) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY `key` (`key`),
  `vue_path` varchar (150),
  `ft_keyname` varchar (150),
  `multi_value` int (4)
);

insert into `rtc_box_ft_menu` (`vue_path`, `ft_keyname`, `multi_value`) values('DeviceManagement','ft_sip,ft_h323,ft_rtsp','1');
insert into `rtc_box_ft_menu` (`vue_path`, `ft_keyname`, `multi_value`) values('DeviceManufacturer','ft_sip,ft_h323,ft_rtsp','1');
insert into `rtc_box_ft_menu` (`vue_path`, `ft_keyname`, `multi_value`) values('LiverServerManagement','ft_livebroadcast','0');
insert into `rtc_box_ft_menu` (`vue_path`, `ft_keyname`, `multi_value`) values('FreeswitchGateManagement','ft_pstn','0');

CREATE TABLE `rtc_liver_server_manager` (
  `id` bigint(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(10) COLLATE utf8_bin DEFAULT NULL,
  `type` varchar(10) COLLATE utf8_bin DEFAULT NULL,
  `liver_stream_url` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `hls_url` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `rtmp_url` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `site_id` tinyint(8) NOT NULL,
  `is_default` varchar(2) COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=INNODB CHARSET=utf8;

CREATE TABLE `rtc_depart` (
  `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `name` VARCHAR(64)  NOT NULL DEFAULT '' COMMENT '部门名称',
  `priority` INT(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '显示优先级',
  `parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '上级部门id',
  `status` INT(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '状态',
  `created` INT(11) UNSIGNED NOT NULL DEFAULT '0'COMMENT '创建时间',
  `updated` INT(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '更新时间',
  `site_id` BIGINT(8) UNSIGNED NOT NULL DEFAULT '0',
  `version` INT(11) UNSIGNED NOT NULL DEFAULT '1',
  `height` int(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_depart_name` (`name`)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

CREATE TABLE `rtc_room_member` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `room_id` varchar(11) NOT NULL COMMENT '会议Id',
  `owner_id` varchar(11) DEFAULT NULL,
  `user_id` varchar(11) NOT NULL COMMENT '用户id',
  `status` tinyint(4) unsigned NOT NULL DEFAULT '0' COMMENT '0-init，1-in meeting，2-out meeting',
  `created` bigint(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `updated` bigint(11) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_roomid_userid` (`room_id`,`user_id`),
  KEY `idx_roomid_userid_status` (`room_id`,`user_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COMMENT='用户和房间的关系表';

ALTER TABLE `rtc_user`
  CHANGE `site_id` `site_id` INT(11) NULL,
  ADD COLUMN `user_type` TINYINT(1) NULL DEFAULT '0' AFTER `site_id`,
  ADD COLUMN `gender` TINYINT(1) NULL AFTER `user_type`,
  ADD COLUMN `domain` VARCHAR(32) NULL AFTER `gender`,
  ADD COLUMN `nick_name` VARCHAR    (32) NULL AFTER `domain`,
  ADD COLUMN `salt` VARCHAR(4)     NULL AFTER `nick_name`,
  ADD COLUMN `telephone`  VARCHAR(11) NULL AFTER `salt`,
  ADD COLUMN `avatar_url` VARCHAR(255) NULL AFTER `telephone`,
  ADD COLUMN `depart_id` INT(11) NULL DEFAULT '0' AFTER `avatar_url`,
  ADD COLUMN `sign_info` VARCHAR(128) NULL AFTER `depart_id`,
  ADD COLUMN `push_shield_status` TINYINT(1) NULL AFTER `sign_info`,
  ADD COLUMN `created` INT(11) NULL DEFAULT '0' AFTER `push_shield_status`,
  ADD COLUMN `updated` INT(11) NULL DEFAULT '0' AFTER `created`,
  ADD COLUMN `version` INT(11) UNSIGNED NOT NULL DEFAULT '1' AFTER `updated`,
  ADD COLUMN `status` tinyint(4) unsigned NOT NULL DEFAULT '0' COMMENT '是否删除,0-正常，1-删除' AFTER `version`,
  ADD  UNIQUE INDEX `idx_email` (`email`);

INSERT INTO `rtc_outgoing_type_keyname` (`device_type`, `key_name`, `key_name_for_chinese`) VALUES ('ip_camera', 'main_address', '主流地址');

INSERT INTO `rtc_outgoing_manufacturer` (`send_max_bitrate`,`send_screen_resolution_capability`,`send_screen_capability`,`send_screen_max_framerate`,`screen_sharing_capability`,`protocol_capability`,`recv_screen_capability`,`send_screen_max_bitrate`,`recv_screen_max_framerate`,`recv_screen_max_bitrate`,`recv_max_video_num`,`recv_screen_resolution_capability`,`recv_audio_capability`,`recv_video_capability`,`send_max_framerate`,`name`,`recv_resolution_capability`,`send_audio_capability`,`recv_max_framerate`,`type`,`send_resolution_capability`,`send_video_capability`,`recv_max_bitrate`) VALUES ('60000','','0','0','0','1','0','0','0','0','0','','0','0','30','慧星ip摄像头','','20','0','ip_camera','1280*720,640*480','1','0');

ALTER TABLE `rtc_freeswitch_user` ADD COLUMN `bind_avd_room_id` VARCHAR(50) NULL AFTER `box_code`;
ALTER TABLE `rtc_freeswitch_user` ADD COLUMN `recv_audio` VARCHAR(10) NULL AFTER `bind_avd_room_id`;
ALTER TABLE `rtc_freeswitch_user` ADD UNIQUE INDEX (`freeswitch_id`, `username`);
ALTER TABLE `rtc_freeswitch_manager` ADD UNIQUE INDEX (`addr`);
ALTER TABLE `rtc_freeswitch_user` ADD COLUMN `send_audio` VARCHAR(10) NULL AFTER `recv_audio`;

ALTER TABLE `rtc_company` ADD COLUMN `licence_num` INT(4) NULL AFTER `app_scheme`, ADD COLUMN `max_video_num` INT(4) NULL AFTER `licence_num`, ADD COLUMN `max_video_resolution` VARCHAR(50) NULL AFTER `max_video_num`, ADD COLUMN `expire_time` BIGINT(11) NULL AFTER `max_video_resolution`, ADD COLUMN `add_user_num` INT(4) NULL AFTER `expire_time`;
ALTER TABLE `rtc_freeswitch_user` CHANGE `username` `username` VARCHAR(11) CHARSET utf8 COLLATE utf8_bin NOT NULL, CHANGE `password` `password` VARCHAR(11) CHARSET utf8 COLLATE utf8_bin NULL;
ALTER TABLE `rtc_room` CHANGE `start_time` `start_time` BIGINT(11) NULL, CHANGE `end_time` `end_time` BIGINT(11) NULL;
ALTER TABLE rtc_company ADD pc_browser_app_name VARCHAR(100) NULL AFTER pc_download_uri;
