CREATE TABLE `rtc_invite_record` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `call_id` varchar(50) NOT NULL COMMENT '通话唯一id',
  `room_id` varchar(50) NOT NULL,
  `user_id` varchar(50) DEFAULT NULL COMMENT '邀请设备用户id',
  `user_name` varchar(50) DEFAULT NULL COMMENT '邀请设备用户名',
  `inviter_name` varchar(50) NOT NULL COMMENT '邀请者用户名',
  `inviter_id` varchar(50) NOT NULL DEFAULT '0' COMMENT '邀请者用户id',
  `invite_time` int(15) DEFAULT '0' COMMENT '通话时间',
  `invite_type` int(4) NOT NULL DEFAULT '0' COMMENT '1:rtsp,2:sip,3:pstn,4:h323',
  `invite_addr` text NOT NULL COMMENT '邀请设备地址',
  `assist_addr` text COMMENT '邀请设备辅流地址',
  `status` int(4) NOT NULL DEFAULT '0' COMMENT '1:通话中，2：挂断，3：邀请失败',
  `stop_time` int(15) DEFAULT '0' COMMENT '结束时间',
  `description` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQUE` (`call_id`)
) ENGINE=InnoDB AUTO_INCREMENT=163 DEFAULT CHARSET=utf8;

INSERT INTO `rtc_box_acl` (`vue_path`, `vue_menu`, `admin_ok`, `sdk_ok`, `is_box`) VALUES ('InviteDeviceRecord', 'ConferenceManager', '1', '1', '0');

INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('rtsp', '1', 'invite_type');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('sip', '2', 'invite_type');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('pstn', '3', 'invite_type');
INSERT INTO `rtc_enum_data` (`key`, `seq_num`, `group`) VALUES ('h323', '4', 'invite_type');

