CREATE TABLE IF NOT EXISTS `rtc_im_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '群名称',
  `avatar` varchar(256) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '群头像',
  `creator` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建者用户id',
  `type` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '群组类型，1-固定,2-临时群,3-组织机构',
  `userCnt` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '成员人数',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '是否删除,0-正常，1-删除',
  `version` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '群版本号',
  `lastChated` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '最后聊天时间',
  `updated` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',
  `created` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `maxUserCnt` int(11) DEFAULT '0' COMMENT '群成员最大人数',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`(191)),
  KEY `idx_creator` (`creator`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='IM群信息';

CREATE TABLE IF NOT EXISTS `rtc_im_group_member` ( `id` int(11) NOT NULL AUTO_INCREMENT,  `groupId` int(11) unsigned NOT NULL COMMENT '群Id', `userId` int(11) unsigned NOT NULL COMMENT '用>户id', `status` tinyint(4) unsigned NOT NULL DEFAULT '1' COMMENT '是否退出群，0-正常，1-已退出',  `created` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',  `updated` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',  `topUpdated` int(11) DEFAULT '0' COMMENT '置顶',  PRIMARY KEY (`id`),  KEY `idx_groupId_userId_status` (`groupId`,`userId`,`status`),  KEY `idx_userId_status_updated` (`userId`,`status`,`updated`),  KEY `idx_groupId_updated` (`groupId`,`updated`)) ENGINE=InnoDB AUTO_INCREMENT=95 DEFAULT CHARSET=utf8 COMMENT='用户和群的关系表';
